org.apache.tomcat.util.codec

## Interface BinaryEncoder

- All Superinterfaces:
    Encoder
  All Known Implementing Classes:
    Base64, BaseNCodec

  Deprecated.
  This interface is unused and will be removed in Tomcat 9

      @Deprecated
      public interface BinaryEncoder
      extends Encoder

  Defines common encoding methods for byte array encoders.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `encode(byte[] source)` Deprecated. Encodes a byte array and return the encoded data as a byte array.

    - ### Methods inherited from interface org.apache.tomcat.util.codec.Encoder

      `encode`

- - ### Method Detail

    - #### encode

          byte[] encode(byte[] source)
                        throws EncoderException

      Deprecated.
      Encodes a byte array and return the encoded data as a byte array.
      Parameters:
        `source` - Data to be encoded
      Returns:
        A byte array containing the encoded data
      Throws:
        `EncoderException` - thrown if the Encoder encounters a failure condition during the encoding process.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.